Package io.vertx.ext.auth.webauthn

## Enum Attestation

- java.lang.Object
- - java.lang.Enum<Attestation>
  - - io.vertx.ext.auth.webauthn.Attestation

- All Implemented Interfaces:
    `Serializable`, `Comparable<Attestation>`

      public enum Attestation
      extends Enum<Attestation>

  AttestationConveyancePreference https://www.w3.org/TR/webauthn/#attestation-convey

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DIRECT` |
    `ENTERPRISE` |
    `INDIRECT` |
    `NONE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Attestation` | `of​(String string)` |
    `String` | `toString()` |
    `static Attestation` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Attestation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final Attestation NONE

    - #### INDIRECT

          public static final Attestation INDIRECT

    - #### DIRECT

          public static final Attestation DIRECT

    - #### ENTERPRISE

          public static final Attestation ENTERPRISE

  - ### Method Detail

    - #### values

          public static Attestation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Attestation c : Attestation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Attestation valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Attestation>`

    - #### of

          public static Attestation of​(String string)